<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">Pläne transferieren</h4>
  <button type="button" class="close" aria-label="Close" (click)="decide(false)" id="transferDialogClose">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form class="mt-3" [formGroup]="form" novalidate>
    <div class="row" formGroupName="date">
      <label class="form-check-label col-form-label col-md-3">
        Gültigkeit
      </label>
      <div class="col-md-4">
        <div class="form-group">
          <div class="input-group">
            <input class="form-control" placeholder="von" name="dp" ngbDatepicker #validFrom="ngbDatepicker"
              formControlName="validFrom" required id="validityDateFromInput">
            <div class="input-group-append">
              <button class="btn btn-outline-secondary" (click)="validFrom.toggle()" type="button" id="validityDateFromPicker">
                <i class="fa fa-calendar" aria-hidden="true"></i>
              </button>
            </div>
            <div class="input-group-append">
              <button class="btn btn-outline-secondary" (click)="setDefaultDate('validFrom')" type="button" id="validityDateFromDefault"
                data-toggle="tooltip" data-placement="bottom" title="Auf Standardwert setzen">
                <i class="fa fa-clock-o" aria-hidden="true"></i>
              </button>
            </div>
            <ok-error [control]="form.get('date').get('validFrom')" class="w-100"></ok-error>
          </div>
          <ok-error [control]="form.controls['date']"></ok-error>
        </div>
      </div>
      <div class="col-md-4">
        <div class="form-group">
          <div class="input-group">
            <input class="form-control" placeholder="bis" name="dp" ngbDatepicker #validTo="ngbDatepicker"
              formControlName="validTo" required id="validityDateToInput">
            <div class="input-group-append">
              <button class="btn btn-outline-secondary" (click)="validTo.toggle()" type="button" id="validityDateToPicker">
                <i class="fa fa-calendar" aria-hidden="true"></i>
              </button>
            </div>
            <div class="input-group-append">
              <button class="btn btn-outline-secondary" (click)="setDefaultDate('validTo')" type="button" id="validityDateToDefault"
                data-toggle="tooltip" data-placement="bottom" title="Auf Standardwert setzen">
                <i class="fa fa-clock-o" aria-hidden="true"></i>
              </button>
            </div>
            <ok-error [control]="form.get('date').get('validTo')" class="w-100"></ok-error>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col">
        <div class="form-check">
          <input class="form-check-input" type="checkbox" id="overwriteTransferBodies" formControlName="overwrite">
          <label class="form-check-label" for="overwriteTransferBodies">
            Sollen vorhandene Datensätze überschrieben werden?
          </label>
        </div>
      </div>
    </div>
  </form>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-success" (click)="decide(true)" id="validityConfirm">{{saveButtonLabel}}</button>
  <button type="button" class="btn btn-danger" (click)="decide(false)" id="validityCancel">Abbrechen</button>
</div>